Bio::SeqIO::entrezgene(3)

NAME
Bio::SeqIO::entrezgene - Entrez Gene ASN1 parser

SYNOPSIS
   use Bio::SeqIO;

   # don't instantiate directly - instead do
   my $seqio = Bio::SeqIO->new(-format => 'entrezgene',
                               -file => $file);
   my $gene = $seqio->next_seq;

DESCRIPTION
This is EntrezGene ASN bioperl parser. It is built on top of Bio::ASN1::EntrezGene, a low level ASN parser built by Mingyi Liu (sourceforge.net/projects/egparser). The easiest way to use it is shown above.

You will get most of the EntrezGene annotation such as gene symbol, gene name and description, accession numbers associated with the gene, etc. Almost all of these are given as Annotation objects. A comprehensive list of those objects will be available here later.

If you need all the data do:

   my $seqio = Bio::SeqIO->new(-format => 'entrezgene',
                               -file => $file,
                               -debug => 'on' );
   my ($gene,$genestructure,$uncaptured) = $seqio->next_seq;

The $genestructure is a Bio::Cluster::SequenceFamily object. It contains all Refseqs and the genomic contigs that are associated with the particular gene. You can also modify the output to allow back compatibility with old LocusLink parser:

   my $seqio = Bio::SeqIO->new(-format => 'entrezgene',
                               -file => $file,
                               -locuslink => 'convert');

The -debug and -locuslink options slow down the parser.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Stefan Kirov
Email skirov at utk.edu

Describe contact details here

CONTRIBUTORS
Hilmar Lapp, hlapp at gmx.net

APPENDIX
This parser is based on Bio::ASN1::EntrezGene module.

The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

_process_products_coordinates
To do:

_process_prop
To do: process GO